Bug 140810 - Uncorrect paths in /usr/lib/apr/build/libtool
Uncorrect paths in /usr/lib/apr/build/libtool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: apr (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 21:49 EST by Mike Sowka
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.9.4-24.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 16:25:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Sowka 2004-11-24 21:49:11 EST
Description of problem:

paths in /usr/lib/apr/build/libtool point to a GCC version 3.4.1
stuff, where it should be 3.4.2

Resolution:

Update the values to 3.4.2... that's it that's all
Comment 1 Joe Orton 2004-11-25 04:11:53 EST
Thanks for the report.  What practical impact does this have, does
this actually cause any real issues?
Comment 2 Mike Sowka 2004-11-25 16:36:31 EST
Yes... I believe httpd-devel is broken(?) In my case, I wasn't able to
compile mod_jk (Tomcat connector for Apache2).

de rien
Comment 3 Joe Orton 2004-11-26 07:38:45 EST
Can you give a precise repro case for the failure so I can reproduce
this?  i.e. which JVM, which tarball of mod_jk, how did you build etc?
Comment 4 Mike Sowka 2004-11-26 18:32:17 EST
Certainly,

JDK: Sun 1.5.0
httpd: Apache 2.0.52 from FC3
Container: JBoss 4.0.1
mod_jk: src.rpm package from JPackage 1.2.6
(http://mirrors.sunsite.dk/jpackage/1.6/generic/free/SRPMS/mod_jk-1.2.6-3jpp.src.rpm)

:) Kind of silly the formal process... need to reproduce. libtool
utility is clearly wrong...

Anyhoo, as You well know I'm sure, install httpd + httpd-devel and run
rpmbuild --rebuild --with ap20 <src.rpm>.

There You have it,
Mike
Comment 5 Joe Orton 2004-11-27 05:04:48 EST
Yes, it's clearly wrong, but we need to understand the impact of the
bug to determine whether it's necessary to fix in an FC3 update.
Comment 6 Mike Sowka 2004-11-27 15:16:25 EST
Joe :),

I _completely_ understand (having a formal background in "proper"
software engineering practices) but was only poking fun...

... are the instructions I've provided sufficient?

Mike
Comment 7 Joe Orton 2004-11-30 16:26:28 EST
Yes, that's great, thanks a lot Mike.
Comment 8 Mike Sowka 2004-11-30 19:22:16 EST
No... Thank _You_ for maintaining a great distro (Redhat/Fedora). ;)

Anything I can do...
Comment 9 Joe Orton 2005-01-20 16:25:21 EST
Fixed in 0.9.4-24.2 update issued today.  Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.